Leap0

Show commit log

Show commit history with optional max count and date filtering.

POST
/v1/sandbox/{sandboxID}/git/log

Show commit history with optional max count and date filtering.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Path to the git repository.

max_count?integer

Maximum number of commits to show. Defaults to 10.

Formatuint32
start_timestamp?string

Start timestamp filter for commit history.

end_timestamp?string

End timestamp filter for commit history.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/log" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{  "output": "string",  "exit_code": 0}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}